﻿--[[
Name: Babble-Faction-2.2
Revision: $Rev: 31482 $
Authors(s): Daviesh (oma_daviesh@hotmail.com)
Documentation: http://www.wowace.com/wiki/Babble-Faction-2.2
SVN: http://svn.wowace.com/wowace/trunk/Babble-2.2/Babble-Faction-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Faction-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 31482 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleFaction = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleFaction:RegisterTranslations("enUS", function() return {
    --Player Factions
    ["Alliance"] = true,
    ["Horde"] = true,
    
    -- Rep Factions
	["The Aldor"] = true,
    ["The Argent Dawn"] = true,
    ["The Bloodsail Buccaneers"] = true,
    ["The Brood of Nozdormu"] = true,
    ["The Cenarion Circle"] = true,
    ["The Cenarion Expedition"] = true,
    ["The Consortium"] = true,
    ["Darkmoon Faire"] = true,
    ["The Defilers"] = true,
    ["The Frostwolf Clan"] = true,
    ["Honor Hold"] = true,
    ["The Hydraxian Waterlords"] = true,
    ["The Keepers of Time"] = true,
    ["The Kurenai"] = true,
    ["The League of Arathor"] = true,
    ["The Lower City"] = true,
    ["The Mag'har"] = true,
    ["The Scale of the Sands"] = true,
    ["The Scryers"] = true,
    ["The Sentinels"] = true,
    ["The Sha'tar"] = true,
    ["The Sporeggar"] = true,
    ["The Stormpike Guards"] = true,
    ["The Thorium Brotherhood"] = true,
    ["Thrallmar"] = true,
    ["Timbermaw Hold"] = true,
    ["The Tranquillien"] = true,
    ["The Violet Eye"] = true,
    ["The Warsong Outriders"] = true,
    ["The Wintersaber Trainers"] = true,
    ["The Zandalar Tribe"] = true,
    
    --Rep Levels
    ["Neutral"] = true,
    ["Friendly"] = true,
    ["Honored"] = true,
    ["Revered"] = true,
    ["Exalted"] = true,
} end)

BabbleFaction:RegisterTranslations("deDE", function() return {
    --Player Factions
    ["Alliance"] = "Allianz",
    ["Horde"] = "Horde",
    
-- Rep Factions
	["The Aldor"] = "Die Aldor",
    ["The Argent Dawn"] = "Argentumd\195\164mmerung",
    ["The Bloodsail Buccaneers"] = "Blutsegelbukaniere",
    ["The Brood of Nozdormu"] = "Nozdormus Brut",
    ["The Cenarion Circle"] = "Zirkel des Cenarius",
    ["The Cenarion Expedition"] = "Expedition des Cenarius",
    ["The Consortium"] = "Das Konsortium",
    ["Darkmoon Faire"] = "Dunkelmond-Jahrmarkt",
    ["The Defilers"] = "Die Entweihten",
    ["The Frostwolf Clan"] = "Frostwolfklan",
    ["Honor Hold"] = "Ehrenfeste",
    ["The Hydraxian Waterlords"] = "Hydraxianer",
    ["The Keepers of Time"] = "H\195\188ter der Zeit",
    ["The Kurenai"] = "Kurenai",
    ["The League of Arathor"] = "Der Bund von Arathor",
    ["The Lower City"] = "Unteres Viertel",
    ["The Mag'har"] = "Die Mag'har",
    ["The Scale of the Sands"] = "Die W\195\164chter der Sande",
    ["The Scryers"] = "Die Seher",
    ["The Sentinels"] = "Silberschwingen",
    ["The Sha'tar"] = "Die Sha'tar",
    ["The Sporeggar"] = "Sporeggar",
    ["The Stormpike Guards"] = "Sturmlanzengarde",
    ["The Thorium Brotherhood"] = "Thoriumbruderschaft",
    ["Thrallmar"] = "Thrallmar",
    ["Timbermaw Hold"] = "Holzschlundfeste",
    ["The Tranquillien"] = "Tristessa",
    ["The Violet Eye"] = "Das Violette Auge",
    ["The Warsong Outriders"] = "Vorhut des Kriegshymnenklan",
    ["The Wintersaber Trainers"] = "Winters\195\164blerausbilder",
    ["The Zandalar Tribe"] = "Stamm der Zandalar",
    
    --Rep Levels
    ["Neutral"] = "Neutral",
    ["Friendly"] = "Freundlich",
    ["Honored"] = "Wohlwollend",
    ["Revered"] = "Respektvoll",
    ["Exalted"] = "Ehrf\195\188rchtig",
} end)

BabbleFaction:RegisterTranslations("frFR", function() return {
    --Player Factions
    ["Alliance"] = "Alliance",
    ["Horde"] = "Horde",

    -- Rep Factions
	["The Aldor"] = "L'Aldor",
    ["The Argent Dawn"] = "Aube d'argent",
    ["The Bloodsail Buccaneers"] = "La Voile sanglante",
    ["The Brood of Nozdormu"] = "Prog\195\169niture de Nozdormu",
    ["The Cenarion Circle"] = "Cercle c\195\169narien",
    ["The Cenarion Expedition"] = "Exp\195\169dition c\195\169narienne",
    ["The Consortium"] = "Le Consortium",
    ["Darkmoon Faire"] = "Foire de Sombrelune",
    ["The Defilers"] = "Les Profanateurs",
    ["The Frostwolf Clan"] = "Clan Loup-de-givre",
    ["Honor Hold"] = "Bastion de l'honneur",
    ["The Hydraxian Waterlords"] = "Les Hydraxiens",
    ["The Keepers of Time"] = "Gardiens du Temps",
    ["The Kurenai"] = "Kurenai",
    ["The League of Arathor"] = "La Ligue d'Arathor",
    ["The Lower City"] = "Ville basse",
    ["The Mag'har"] = "Les Mag'har",
    ["The Scale of the Sands"] = "La Balance des sables",
    ["The Scryers"] = "Les Clairvoyants",
    ["The Sentinels"] = "Sentinelles d'Aile-argent",
    ["The Sha'tar"] = "Les Sha'tar",
    ["The Sporeggar"] = "Sporeggar",
    ["The Stormpike Guards"] = "Garde Foudrepique",
    ["The Thorium Brotherhood"] = "Confr\195\169rie du Thorium",
    ["Thrallmar"] = "Thrallmar",
    ["Timbermaw Hold"] = "Repaire des Grumegueules",
    ["The Tranquillien"] = "Tranquillien",
    ["The Violet Eye"] = "L'\197\146il pourpre",
    ["The Warsong Outriders"] = "Les Voltigeurs",
    ["The Wintersaber Trainers"] = "Long-guet",
    ["The Zandalar Tribe"] = "Tribu Zandalar",
    
    --Rep Levels
    ["Neutral"] = "Neutre",
    ["Friendly"] = "Amical",
    ["Honored"] = "Honor\195\169",
    ["Revered"] = "R\195\169v\195\169r\195\169",
    ["Exalted"] = "Exalt\195\169",
} end)

BabbleFaction:RegisterTranslations("zhTW", function() return {
    --Player Factions
    ["Alliance"] = "聯盟",
    ["Horde"] = "部落",

    -- Rep Factions
	["The Aldor"] = "阿爾多爾",
    ["The Argent Dawn"] = "銀色黎明",
    ["The Bloodsail Buccaneers"] = "血帆海盜",
    ["The Brood of Nozdormu"] = "諾茲多姆的子嗣",
    ["The Cenarion Circle"] = "塞納里奧議會",
    ["The Cenarion Expedition"] = "塞納里奧遠征軍",
    ["The Consortium"] = "聯合區",
    ["Darkmoon Faire"] = "暗月馬戲團",
    ["The Defilers"] = "污染者",
    ["The Frostwolf Clan"] = "霜狼部族",
    ["Honor Hold"] = "榮譽堡",
    ["The Hydraxian Waterlords"] = "海達希亞水元素",
    ["The Keepers of Time"] = "時光守護者",
    ["The Kurenai"] = "庫雷尼",
    ["The League of Arathor"] = "阿拉希聯軍",
    ["The Lower City"] = "地底城",
    ["The Mag'har"] = "瑪格哈爾",
    ["The Scale of the Sands"] = "流沙之鱗",
    ["The Scryers"] = "塞爾斯",
    ["The Sentinels"] = "銀翼哨兵",
    ["The Sha'tar"] = "夏塔爾",
    ["The Sporeggar"] = "斯博爾加",
    ["The Stormpike Guards"] = "雷矛衛隊",
    ["The Thorium Brotherhood"] = "瑟銀兄弟會",
    ["Thrallmar"] = "索爾瑪",
    ["Timbermaw Hold"] = "木喉要塞",
    ["The Tranquillien"] = "The Tranquillien",
    ["The Violet Eye"] = "紫蘿蘭之眼",
    ["The Warsong Outriders"] = "戰歌偵查騎兵",
    ["The Wintersaber Trainers"] = "冬刃豹訓練師",
    ["The Zandalar Tribe"] = "贊達拉部族",
    
    --Rep Levels
    ["Neutral"] = "中立",
    ["Friendly"] = "友好",
    ["Honored"] = "尊敬",
    ["Revered"] = "崇敬",
    ["Exalted"] = "崇拜",
} end)

BabbleFaction:RegisterTranslations("zhCN", function() return {
    --Player Factions
    ["Alliance"] = "聯盟",
    ["Horde"] = "部落",

    -- Rep Factions
	["The Aldor"] = "阿爾多爾",
    ["The Argent Dawn"] = "銀色黎明",
    ["The Bloodsail Buccaneers"] = "血帆海盜",
    ["The Brood of Nozdormu"] = "諾茲多姆的子嗣",
    ["The Cenarion Circle"] = "塞納里奧議會",
    ["The Cenarion Expedition"] = "塞納里奧遠征軍",
    ["The Consortium"] = "聯合區",
    ["Darkmoon Faire"] = "暗月馬戲團",
    ["The Defilers"] = "污染者",
    ["The Frostwolf Clan"] = "霜狼部族",
    ["Honor Hold"] = "榮譽堡",
    ["The Hydraxian Waterlords"] = "海達希亞水元素",
    ["The Keepers of Time"] = "時光守護者",
    ["The Kurenai"] = "庫雷尼",
    ["The League of Arathor"] = "阿拉希聯軍",
    ["The Lower City"] = "地底城",
    ["The Mag'har"] = "瑪格哈爾",
    ["The Scale of the Sands"] = "The Scale of the Sands",
    ["The Scryers"] = "塞爾斯",
    ["The Sentinels"] = "銀翼哨兵",
    ["The Sha'tar"] = "夏塔爾",
    ["The Sporeggar"] = "斯博爾加",
    ["The Stormpike Guards"] = "雷矛衛隊",
    ["The Thorium Brotherhood"] = "瑟銀兄弟會",
    ["Thrallmar"] = "索爾瑪",
    ["Timbermaw Hold"] = "木喉要塞",
    ["The Tranquillien"] = "The Tranquillien",
    ["The Violet Eye"] = "紫蘿蘭之眼",
    ["The Warsong Outriders"] = "戰歌偵查騎兵",
    ["The Wintersaber Trainers"] = "冬刃豹訓練師",
    ["The Zandalar Tribe"] = "贊達拉部族",
    
    --Rep Levels
    ["Neutral"] = "中立",
    ["Friendly"] = "友好",
    ["Honored"] = "尊敬",
    ["Revered"] = "崇敬",
    ["Exalted"] = "崇拜",
} end)

BabbleFaction:Debug()
BabbleFaction:SetStrictness(true)

AceLibrary:Register(BabbleFaction, MAJOR_VERSION, MINOR_VERSION)
BabbleFaction = nil
